import { AfterViewInit, AfterContentInit, OnChanges, ElementRef } from '@angular/core';
export declare class ClassicBrakeGaugeComponent implements AfterViewInit, AfterContentInit, OnChanges {
    gauge: ElementRef;
    gaugePointer: ElementRef;
    gaugeSecPointer: ElementRef;
    gaugeContainer: ElementRef;
    maxGraduation: number;
    maxValue: number;
    maxSecValue: number;
    unit?: string;
    backgroundColor?: string;
    get value(): number;
    set value(val: number);
    get secValue(): number;
    set secValue(val: number);
    canvasWH: number;
    private internalValue;
    private internalSecValue;
    private parityCheck;
    private zones;
    private specialMainGraduations;
    private radius;
    private outCircleWidth;
    private graduateShadow;
    private graduateLength;
    private originalMaxGraduation;
    private originalUnit;
    private originalMaxValue;
    private originalMaxSecValue;
    private to;
    private from;
    rotateValue: number;
    secRotateValue: number;
    private ctx;
    private pointerCtx;
    private secPointerCtx;
    constructor();
    ngOnChanges(): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    private redraw;
    private drawContainer;
    private drawGraduations;
    private drawScale;
    private setMainGraduationValue;
    private drawZones;
    private drawSpecialMainGraduations;
    private findAngleByValue;
    private drawPointers;
}
//# sourceMappingURL=classic-brake-gauge.component.d.ts.map