import { OnInit, AfterContentInit, EventEmitter, ElementRef } from '@angular/core';
export declare class ClassicDirectionHandleComponent implements OnInit, AfterContentInit {
    private internalValue;
    private coefValue;
    ctrlDirectionCtn: ElementRef;
    handle: ElementRef;
    steps: number;
    beginFrom: number;
    graduations?: Array<string>;
    valueChange: EventEmitter<any>;
    get value(): number;
    set value(val: number);
    private manipulatorCtx;
    private x;
    private y;
    private startX;
    private startY;
    private angleValue;
    private containerHeight;
    private containerWidth;
    private cursorHeight;
    handleHeight: number;
    handleWidth: number;
    handlePosX: number;
    handlePosY: number;
    handleRotateAxisX: number;
    handleRotateAxisY: number;
    rotate: number;
    onResize(event: Event): void;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    private applySize;
    onPanStart(event: any): void;
    onPan(event: any): void;
}
//# sourceMappingURL=classic-direction-handle.component.d.ts.map