import { OnInit, OnChanges, AfterContentInit, EventEmitter, ElementRef } from '@angular/core';
export interface IGraduation {
    legend: string;
    top: number;
    left: number;
    rotateX: number;
    rotateY: number;
    rotate: number;
}
export declare class ClassicRegulatorHandleComponent implements OnInit, OnChanges, AfterContentInit {
    private parentEl;
    private internalValue;
    ctrlTractionCtn: ElementRef;
    steps: number;
    graduations?: string;
    valueChange: EventEmitter<any>;
    get value(): number;
    set value(val: number);
    posX: number;
    posY: number;
    private containerWidth;
    private containerHeight;
    private startX;
    private startY;
    private endX;
    private endY;
    graduationsObjs: Array<IGraduation>;
    graduationWidth: number;
    private graduationMargin;
    private angleMax;
    private origineAngle;
    rotate: number;
    handleWidth: number;
    handleHeight: number;
    handlePosX: number;
    handlePosY: number;
    handleRotateAxisX: number;
    handleRotateAxisY: number;
    originalGraduations: string;
    originalSteps: number;
    private stepAngle;
    onResize(event: Event): void;
    constructor(parentEl: ElementRef);
    ngOnChanges(): void;
    ngOnInit(): void;
    initSteps(): void;
    ngAfterContentInit(): void;
    private applySize;
    onPanStart(event: any): void;
    onPan(event: any): void;
    private getAngle;
    private drawLegends;
}
//# sourceMappingURL=classic-regulator-handle.component.d.ts.map