import { ElementRef, AfterViewInit, AfterContentInit, OnChanges } from '@angular/core';
export declare class ClassicSpeedGaugeComponent implements AfterViewInit, AfterContentInit, OnChanges {
    gauge: ElementRef;
    gaugePointer: ElementRef;
    gaugeContainer: ElementRef;
    maxSpeed: number;
    unit?: string;
    get value(): number;
    set value(value: number);
    private internalValue;
    canvasWH: number;
    private radius;
    private outCircleWidth;
    private graduateShadow;
    private graduateLength;
    private originalMaxSpeed;
    private originalUnit;
    private to;
    private from;
    rotateValue: number;
    private ctx;
    private pointerCtx;
    constructor();
    ngOnChanges(): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    private redraw;
    private drawContainer;
    private drawText;
    private drawPointer;
    private drawGraduations;
    private drawScale;
    private setMainGraduationValue;
}
//# sourceMappingURL=classic-speed-gauge.component.d.ts.map